Summary: A powerful file compression utility.
Name: bzip2
Version: 0.9.0c
Release: 1
Copyright: GPL
Group: Applications/File
Source: http://www.muraroa.demon.co.uk/bzip2-0.9.0c.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities of the
best techniques available.  However, bzip2 has the added benefit of
being approximately two times faster at compression and six times faster
at decompression than those techniques.  Bzip2 is not the fastest
compression utility, but it does strike a balance between speed and
compression capability.

Install bzip2 if you need a high quality compression utility.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" CC=egcs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,include,lib}
install -s -m 755 bzip2 bzip2recover $RPM_BUILD_ROOT/usr/bin
ln -sf bzip2 $RPM_BUILD_ROOT/usr/bin/bunzip2
ln -sf bzip2 $RPM_BUILD_ROOT/usr/bin/bzcat
install -m 644 bzip2.1 $RPM_BUILD_ROOT/usr/man/man1
ln -sf bzip2.1 $RPM_BUILD_ROOT/usr/man/man1/bunzip2.1
ln -sf bzip2.1 $RPM_BUILD_ROOT/usr/man/man1/bzcat.1
install -m 644 libbz2.a $RPM_BUILD_ROOT/usr/lib
install -m 644 bzlib.h $RPM_BUILD_ROOT/usr/include

cat > $RPM_BUILD_ROOT/usr/bin/bzless <<EOF
#!/bin/sh
/usr/bin/bunzip2 -c "\$@" | /usr/bin/less
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/bzless

%files
%doc  README *.html
/usr/bin/*
/usr/man/man1/*
/usr/lib/libbz2.a
/usr/include/bzlib.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr  4 1999 Jeff Johnson <jbj@redhat.com>
- update to bzip2-0.9.0c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God 
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
